<template>
    <div class="order">
        <h1 class="order__title">Your order</h1>
        <div v-for="product in products" :key="product.id" class="row order__item">
            <div class="col order__product">
                {{ product.name }}
            </div>
            <div class="col order__product">
                <span>× {{ product.amount }} </span>
            </div>
            <div class="col">S/. {{ product.price * product.amount }}</div>
        </div>

        <div class="row order__total">
            <div class="col">Total</div>
            <div class="col text-end pe-5">S/. {{ total }}</div>
        </div>
    </div>
</template>
<script>
import {useStore} from 'vuex';
import {computed} from 'vue';
export default {
    setup() {
        const {getters} = useStore();
        return {
            products: computed(() => getters['product/getProducts']),
            total: computed(() => getters['product/total']),
        };
    },
};
</script>
<style lang="scss">
.order {
    &__title {
        font-size: 24px;
        color: #000000;
        font-weight: 700;
    }
    &__item {
        padding: 10px;
    }
    &__product {
        color: #515050;
        text-align: left;
        span {
            font-weight: bold;
            font-size: 16px;
        }
    }
    &__total {
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
        background-color: #e5e5e5;
        padding: 20px;
        font-weight: bold;
        font-size: 17px;
    }
}
</style>
